
TYPO3.Flow - Bug # 49847

Status: Resolved Priority: Should have
Author: Sören Rohweder Category:
Created: 2013-07-10 Assigned To: Sören Rohweder
Updated: 2014-07-11 Due date:
PHP Version:
Has patch: No
Complexity: easy
Affected Flow version: Flow 2.0.0 beta 2
Subject: PSR-0 compatible namespace with underscores is not loaded
Description

When using Faker (fzaninotto/faker)  the ClassLoader fails to load classes with underscores in the namespace like
Faker\Provider\en_US\Person.

PSR-0 States that only underscores in the classname should be replaced by a \ while leaving underscores in the namespace
untouched.

Associated revisions
Revision ced8e0be - 2013-08-26 12:07 - Sören Rohweder

[BUGFIX] Treat namespaces with underscores correctly

The actual classloading does not handle the presence of underscores in namespaces
correctly.

Change-Id: I589f687adf2cf71c5c53985def6d084a76188f0b
Fixes: #49847
Releases: master, 2.0

Revision eca1d1eb - 2013-09-19 09:22 - Sören Rohweder

[BUGFIX] Treat namespaces with underscores correctly

The actual classloading does not handle the presence of underscores in namespaces
correctly.

Change-Id: I589f687adf2cf71c5c53985def6d084a76188f0b
Fixes: #49847
Releases: master, 2.0

History
#1 - 2013-07-10 13:52 - Sören Rohweder

Patch is ready, waiting for the CLA to be accepted.

#2 - 2013-07-10 14:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22175

#3 - 2013-07-10 14:47 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22175

#4 - 2013-07-10 15:18 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22175

#5 - 2013-07-11 10:54 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22175

#6 - 2013-08-26 12:07 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22175

#7 - 2013-09-19 09:22 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/23896

#8 - 2013-11-11 20:44 - Christian Jul Jensen

This patch has been merged in master, I guess we can close the ticekt?

#9 - 2013-11-12 16:07 - Sören Rohweder

I think so too

#10 - 2014-07-11 20:19 - Sören Rohweder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ced8e0bed7bbc10745f69a95f901adb2e1701300.
